> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/place-multi-fo-options-order.md).

# Place Multi FO Options Order

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/PlaceMultiFOOptionsOrder`

\
**QUERY PARAMETERS**

| Request Parameter | Description     | Mandatory |
| ----------------- | --------------- | --------- |
| broker            | Broker code     | Yes       |
| strategy          | Strategy        | Yes       |
| spot\_symbol      | Spot symbol     | Yes       |
| expiry\_date      | Expiry date     | Yes       |
| action            | Action          | Yes       |
| product           | Product Type    | Yes       |
| pricetype         | Price Type      | Yes       |
| quantity          | Quantity        | Yes       |
| price             | Price           | Yes       |
| option\_type      | Option type     | Yes       |
| strike\_int       | Strike Interval | Yes       |
| offset            | Offset          | NO        |
| trigger\_price    | Trigger Price   | No        |
| splitorder        | split order     | No        |
| split\_quantity   | split quantity  | No        |

{% code title="# Here is a curl example" %}

```
-X POST https://amapi.algomojo.com/v1/PlaceMultiFOOptionsOrder
```

{% endcode %}

{% code title="Request example :" %}

```
{
     "api_key":"your_api_key",
     "api_secret":"your_api_secret",
     "data":
       {
           "orders" : 
             [
                 {
                 "api_key":"your_api_key",
                 "api_secret":"your_api_secret",
                 "data":{
                         "broker":"ab",
                         "strategy":"Test Strategy",
                         "spot_symbol":"NIFTY",
                         "expiry_date":"22D08",
                         "action":"BUY",
                         "product":"NRML",
                         "pricetype":"MARKET",
                         "quantity":"150",
                         "price":"0",
                         "option_type":"CE",
                         "strike_int":"50",
                         "offset":"-2",
                         "trigger_price":"0",
                         "splitorder":"NO",
                         "split_quantity":"50"
                     }
                 },
                 {
                 "api_key":"your_api_key",
                 "api_secret":"your_api_secret",
                 "data":{
                         "broker":"ZB",
                         "strategy":"Test Strategy",
                         "spot_symbol":"NIFTY",
                         "expiry_date":"01DEC22",
                         "action":"BUY",
                         "product":"NRML",
                         "pricetype":"MARKET",
                         "quantity":"150",
                         "price":"0",
                         "option_type":"CE",
                         "strike_int":"50",
                         "offset":"-2",
                         "trigger_price":"0",
                         "splitorder":"YES",
                         "split_quantity":"50"
                     }
                 }
             ]
       }
 }
```

{% endcode %}

{% code title="Response example:" %}

```
 [
     {
         "status": "success",
         "data": {
             "broker": "AB",
             "symbol":"NIFTY22D0818700CE",
             "orderid": "221115000096536"
         }
     },
     {
         "status": "success",
         "data": {
             "broker": "ZB",
             "symbol":"NIFTY08DEC2218700CE",
             "orderid": "221115000017413"
         }
     }
 ]    
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algomojo.com/algomojo/api/v1/place-multi-fo-options-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
